---
lang: en
title: 'API docs: socketio.socketiodonefunction'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiodonefunction.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoDoneFunction](./socketio.socketiodonefunction.md)

## SocketIoDoneFunction type

**Signature:**

```typescript
export type SocketIoDoneFunction = (response: unknown) => Promise<void>;
```

